Update annotation

PUT/v2/annotations/{id}

Update annotation

Parameters #

PropertyTypeLocationDescription
idstringRequiredpathUnique ID of the annotation

Body #

application/json
PropertyTypeDescription
datasetsstring[]array<string> of dataset names for which the annotation appears on charts
descriptionstringExplanation of the event the annotation marks on the charts
endTimestring<date-time>End time of the annotation
timestring<date-time>Time the annotation marks on the charts. If you don't include this field, Axiom assigns the time of the API request to the annotation.
titlestringSummary of the annotation that appears on the charts
typestringType of the event marked by the annotation. Use only alphanumeric characters or hyphens. For example, "production-deployment".
urlstringURL relevant for the event marked by the annotation. For example, link to GitHub pull request.

Request #

curl -X PUT 'https://api.axiom.co/v2/annotations/ID' \
  -H 'Authorization: Bearer API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"datasets":["string"],"description":"string","endTime":"2026-01-01T00:00:00Z","time":"2026-01-01T00:00:00Z","title":"string","type":"string","url":"string"}'
Try itRun this request against your Axiom organization

Credentials stay in this browser tab and are only sent to Axiom when you run the request.

Response #

200Annotation
application/json
PropertyTypeDescription
datasetsstring[]Requiredarray<string> of dataset names for which the annotation appears on charts
descriptionstringExplanation of the event the annotation marks on the charts
endTimestring<date-time>End time of the annotation
idstringRequired
timestring<date-time>RequiredTime the annotation marks on the charts. If you don't include this field, Axiom assigns the time of the API request to the annotation.
titlestringSummary of the annotation that appears on the charts
typestringRequiredType of the event marked by the annotation. Use only alphanumeric characters or hyphens. For example, "production-deployment".
urlstringURL relevant for the event marked by the annotation. For example, link to GitHub pull request.